@mixin responsive($key) {
  @media screen and (min-width: map-get($breakpoints,$key)) {
    @content;
  }
}

$breakpoints: (
  tablet: 640px,
  laptop: 1024px,
);

.side-bar {
  position: fixed;
  top: 0;
  left: -100%;
  z-index: 10;
  width: 100%;
  height: 100vh;
  min-height: 420px;
  padding: 1em;
  background-color: var(--color-3);
  transition: 400ms all ease;
  opacity: 0;

  @include responsive(tablet) {
    & {
      width: 30%;
      max-width: 290px;
      left: 0;
      opacity: 1;
    }
  }

  &--show {
    left: 0;
    opacity: 1;
  }

  &__button {
    position: fixed;
    top: 10px;
    right: 10px;
    font-size: var(--font-size-3);
    color: var(--color-4);
    background-color: transparent;
    border: none;
  }
  @include responsive(tablet) {
    &__button {
      display: none;
    }
  }

  &__title {
    width: auto;
    display: flex;
    align-items: center;
    & h1 {
      font-size: var(--font-size-3);
      text-overflow: ellipsis;
      white-space: nowrap;
      overflow: hidden;
    }
  }
  &__logo {
    margin-right: 0.5em;
    font-size: 35px;
    fill: #fff;
  }
}

.nav-bar {
  padding: 0;
  font-weight: 600;

  &__item {
    margin-bottom: 1em;
    cursor: pointer;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    transition: var(--animation-1);
  }

  @include responsive(tablet) {
    &__item {
      color: var(--color-2);
      &--active {
        color: var(--color-4);
      }
    }
    &__item:hover {
      color: var(--color-4);
    }
  }

  &__icon {
    margin-right: 0.5em;
    font-size: var(--font-size-3);
  }
}

.log-out {
  position: absolute;
  bottom: 2em;
  margin: 0;
  width: 90%;
  padding: 0.5em;
  font-size: var(--font-size-1);
  background-color: transparent;
  color: var(--color-4);
  border: 2px solid var(--color-4);
  transition: var(--animation-1);
  border-radius: 2em;
  cursor: pointer;

  @include responsive(tablet) {
    color: var(--color-2);
    border: 2px solid var(--color-2);

    &:hover {
      color: var(--color-4);
      border-color: var(--color-4);
    }
  }
}
